---
name: Feature request
about: Suggest an idea for this project
title: ''
labels: feature request
assignees: ''

---

Please read the following points before filing an issue but remove them before
filing the issue:

* **Please browse through the [README](https://github.com/Martchus/syncthingtray/blob/master/README.md) before asking a question.**
  Maybe what you've been asking is already implemented
  or a known limitation with a documented workaround.
* Note that I cannot support all operating systems, their flavors and different
  tooling you might be using (Antivirus software, GNU/Linux desktop environments,
  AUR helpers, …). So please avoid filing feature requests specific to them and
  contact the respective vendors instead.
* Note that I will likely have to reject feature reports about Wayland-specific
  behavior due to limitations of that protocol which I cannot workaround from my
  side.

---

**Relevant components**
* [ ] Standalone tray application (based on Qt Widgets)
* [ ] Plasmoid/applet for Plasma desktop
* [ ] Dolphin integration
* [ ] Command line tool (`syncthingctl`)
* [ ] Integrated Syncthing instance (`libsyncthing`)
* [ ] Backend libraries

**Is your feature request specific to a certain platform/environment? Please specify.**

**Is your feature request related to a problem? Please describe.**
A clear and concise description of what the problem is. Eg. I'm always frustrated when […]

**Describe the solution you'd like**
A clear and concise description of what you want to happen.

**Describe alternatives you've considered**
A clear and concise description of any alternative solutions or features you've considered.

**Additional context**
Add any other context or screenshots about the feature request here.
